Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007243OCamlplatform support (windows, cross-compilation, etc)public2016-04-26 21:562016-04-28 21:22
Reportershaynefletcher 
Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.04.0 +dev / +beta1 / +beta2 
Summary0007243: Windows line endings breaking build
DescriptionBuilding 4.03. I gunzip and tar xvf the source package but find that

  tools/make-version-header.sh
  stdlib/CompFlags

"breaks" with my Cygwin /usr/bin/sed (choking on '\r'). Problem overcome by running dos2unix on those two files.

Determined that the problem also exists (for me) with 4.02.3.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0015866)
shaynefletcher (reporter)
2016-04-26 22:10
edited on: 2016-04-26 22:12

This could be a consequence of using winzip instead of (Cygwin) tar to do the unpacking. If so, probably the resolution is to simply document the issue in the README.win32.

(0015876)
doligez (administrator)
2016-04-27 13:49

This is definitely a consequence of using winzip, as the characters are not in the archive and don't appear when using /usr/bin/tar to unpack the archive.

We will document the problem.
(0015884)
doligez (administrator)
2016-04-28 21:22

Fixed in trunk (commit e55b6fd94a57d619d79506b0e30952b572d98097)

- Issue History
Date Modified Username Field Change
2016-04-26 21:56 shaynefletcher New Issue
2016-04-26 22:10 shaynefletcher Note Added: 0015866
2016-04-26 22:12 shaynefletcher Note Edited: 0015866 View Revisions
2016-04-27 13:49 doligez Note Added: 0015876
2016-04-28 21:22 doligez Note Added: 0015884
2016-04-28 21:22 doligez Status new => closed
2016-04-28 21:22 doligez Resolution open => fixed
2016-04-28 21:22 doligez Fixed in Version => 4.04.0 +dev / +beta1 / +beta2
2017-02-23 16:46 doligez Category OCaml windows => platform support (windows, etc)
2017-02-23 17:16 doligez Category platform support (windows, etc) => platform support (windows, cross-compilation, etc)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker